-
- Input Dataform for program STREAMLINES:   (c) Copyright 1990, by ATKINSOPHT.
-
- Active DATA lines may not have -, X, C, or P in column 1.
- "-" INSTRUCTION lines; counted, ignored as data, may be discarded.
- "X" EXCLUDED lines; numbered, ignored.
-      Enter X (in column 1) for lines you want here but NOT in the Input Log.
- "C" COMMENT lines; numbered & logged, but ignored as data.
-      Enter C (in column 1) for lines you want here AND in the Input Log.
- "P" PAGE lines; numbered & logged, ignored, begin a NEW PAGE in the Input Log.
-     BLANK lines; numbered & logged, but ignored as data.
-     DATA lines; non-blank lines with other than -, X, C, or P in column 1.
- Data fields headed "======" accept blanks to DUPLICATE the entry above.
- Lines with an ASTERISK(*) in column 1 MUST be RETAINED. There are 15 (0-14).
-
- There MUST follow three 2-80 column Job ID lines; all or any may be blank:
-2--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
*
*
*
- You may keep extra ((X)cluded or (C)ommented) Job ID lines here ...
-
- There MUST follow two 1-32 column Control lines:
----+----1----+----2----+----3-2/
3T.667 1             0 0000    1/     Job Control line
0                            001/ Program Control line
- You may keep extra ((X)cluded or (C)ommented) Control lines here ...
 
-     Enter this data FILENAME.EXT below so that it may show in the Input Log.
C This data file is:  ????????.???
 
C <---Fluid & flow---->  <--------Network "global" data---------> <---Gases--->
C Eq:  Fluid  Unit  Vol    Alt  Press  Temp Spcfic Viscsty  Vapor   Mole Isntrp
C  ID,    ID,   ID, S/A   (ft) (psig),  (F),gravty,  (cps),(psia) weight, expnt
X  ID,    ID,   ID, S/A    (m),(barg),  (C),gravty,  (cps),(bara) weight, expnt
C ---  -----  ---- ----  -----  ----- ----- ------ ------- ------ ------ ------
    0      0     0    0      0      0     0      0       0      0      0      0
 
- Eq: 1 Isothermal      2 Weymouth        3 Darcy-Weisbach  4 Hazen-Williams
- Fl: 1 Gas (con.den.)  2 Air (con.den.)  3 Liquid          4 Water (aq.sol.)
-     5 Gas (perf.gas)  6 Air (perf.gas)  7 Steam (supht.)  8 Steam (sat.)
- Un: 1 lb/sec,    psi  2 lb/hr,     psi  3 scfh,acfh, psi  4 scfm,acfm, psi
-     5 scfm,acfm, inw  6 scfs,acfs, psi  7 gal/min,   psi  8 bbl/hr,    psi
-    11 kg/sec,    bar 12 kg/hr,     bar 13 scmh,acmh, bar 14 scmm,acmm, bar
-    15 scmm,acmm, mmw 16 scms,acms, bar 17 liter/min, bar
- S/A =0 Standard (wgt.) gas cubic units; =1 Actual (volume) gas cubic units.
 
X Node Type -1, Flow balance; fixed pressure:
X Node  Pressure  External
X  no.     fixed  flow +/-
X ---   ========  ========
X   0          0         0 <None req; but may be the only such node/network.
* 0
- Lines with an asterisk(*) in col. 1 MUST be RETAINED. There are 15 (0-14).
 
C Node Type +1, Flow balance, estimated pressure:
C Node  Pressure  External
C  no.  estimatd  flow +/-
C ---   ========  ========
X   0          0         0 <Usual, but none req; pressures calculated.
* 1
 
C Node Type  2, Fixed pressure; calculated external flow:
C Node  Pressure
C  no.     fixed
C ---   ========
X   0          0           <At least one such per network recommended.
* 2
 
X Node Type  3,(Fore-) pressure regulators:
X Node   P inlet  P outlet
X  no.  estimatd   defined
X ---   --------  --------
X   0          0         0 <Devices, Types 3 to 10 may not be contiguous.
* 3
 
X Node Type  4, Back-pressure regulators:
X Node   P inlet  P outlet
X  no.   defined  estimatd
X ---   --------  --------
X   0          0         0
* 4
 
X Node Type  5, Differential-pressure regulators:
X Node     Inlet   P diff.
X  no.  estimatd   defined
X ---   --------  --------
X   0          0         0
* 5
 
X Node Type  6, Check/relief valves or dampers:
X Node     Inlet   P diff.
X  no.  estimatd   to open
X ---   --------  --------
X   0          0         0
* 6
 
X Node Type  7, Flow regulators- Fixed flow, Cv=0; Regulated flow, Cv=Cv:
X Node  <-Valve->  P inlet  P outlet   Defined   Control  Critical
X  no.  Type Size estimatd  estimatd      flow  valve Cv  flw.fac.
X ---   ---- **** --------  --------  --------  --------  --------
X   0      7             0         0         0         0         0
* 7
 
X Node Type  8, Flow functions- P1-P2 = C1 *(Flow /C2)**X:
X Node             P inlet  P outlet  Constant  Constant  Exponent
X  no.  Type      estimatd  estimatd        C1        C2         X
X ---   ----      --------  --------  --------  --------  --------
X   0      8             0         0         0     1.000         0
* 8
 
X Node Type  9, Energy expending functions- P-P'=f(flow,rise); pumps, fans:
X Node             P inlet  P outlet  Operatng  Rpm/diam   Data is
X  no.  Type      estimatd  estimatd      temp  +/-ratio  Std/Optg
X ---   ----      --------  --------  --------  --------  --------
X   0      9             0         0         0     +1.00       1/0
 
- Characteristic curve (Six  ascending values of flow, and
-                       Six descending values of pressure rise):
X       --------  --------  --------  --------  --------  --------
X Flow:        0         0         0         0         0         0
X Rise:        0         0         0         0         0         0
* 9
* 10
* 11
 
- Node elevations and properties (supersedes network -"global"- data):
C Node      Elev   Temp  Density Viscsty Vap.Pr.
C  no.      (ft)    (F) (lb/ft3)   (cps)  (psia)
X  no.       (m)    (C)  (gm/cc)   (cps)  (bara)
C ---   ========  ===== ======== ======= =======
X   0          0      0        0       0       0 <May omit if all values zero.
* 12
 
C Links:
- Circular or rectangular crossection;                -Cv=no.of parallel paths:
C <Nodes> +Dia/Hgt,  Width   Length  <-Frict.coeff.sums->  AbsR/H-W
C Ups,Dns     (in),   (in)     (ft)     L/D,    Kt, +/-Cv      (ft) 1=Closed
X Ups,Dns     (mm),   (mm)      (m)     L/D,    Kt, +/-Cv      (mm) 1=Closed
-
- Irregular crossection;                              -Cv=no.of parallel paths:
X <Nodes> -WetPrim,   Area   Length  <-Frict.coeff.sums->  AbsR/H-W
X Ups,Dns     (in),  (in2)     (ft)     L/D,    Kt, +/-Cv      (ft) 1=Closed
X Ups,Dns     (mm),  (mm2)      (m)     L/D,    Kt, +/-Cv      (mm) 1=Closed
C --- ---  ======= =======  =======  ====== ====== ======  ======== -
    0   0       -0       0        0       0      0      0         0 0
* 13
 
C Property Table Data (supersedes node and network -"global"- data):
- Use temp. vs. density, viscosity           for air & gases (Fl=1,2,5):
- Use temp. vs. density, viscosity, vapor press. for liquids (Fl=3    ):
-   Values of temp. vs. dens., visc., (at network pressure) and vprs.
-   At least 3 values req.
C   -----1 -----2 -----3|-----4 -----5 -----6 -----7 -----8 -----9 ----10
X     0.     0.     0.     0.     0.     0.     0.     0.     0.     0.   temp.
X     0.     0.     0.     0.     0.     0.     0.     0.     0.     0.   dens.
X     0.     0.     0.     0.     0.     0.     0.     0.     0.     0.   visc.
X     0.     0.     0.     0.     0.     0.     0.     0.     0.     0.   vprs.
* 14
- Lines with an asterisk(*) in col. 1 MUST be retained. There are 15 (0-14).

