ECHO OFF
     CLS
ECHO   (Disregard directory or file error messages; they are used as tests.)

     CD \STRMLINS
     IF EXIST DIR1.TAG DEL \STRMLINS\DIR1.TAG >NUL
     IF EXIST DIR2.TAG DEL \STRMLINS\DIR2.TAG >NUL
     IF %1x==x GOTO ERR

     CD \%1          >NUL
     IF EXIST DIR1.TAG GOTO NXT 

     CD \STRMLINS\%1 >NUL
     IF EXIST DIR2.TAG GOTO NXT 

ECHO Create (enter) a first or second level \STRMLINS subdirectory containing
ECHO   related STREAMLINES data files and from which to run STREAMLINES.

ECHO -
ECHO The subdirectory may be either d:\%1 or d:\STRMLINS\%1 .
     NXT "1st (d:\%1) or 2nd level (d:\STRMLINS\%1)? Enter 1,2,(or 0): ", 012
     IF ERRORLEVEL 3 GOTO 2ND
     IF ERRORLEVEL 2 GOTO 1ST
     IF ERRORLEVEL 1 GOTO NXT

:1ST
ECHO -
ECHO This STREAMLINES subdirectory will be d:\%1 .
ECHO Enter Ctrl-C to escape or to create or re-enter another subdirectory.
     PAUSE

     CD    \
     MKDIR \%1 >NUL
     CD    \%1
     COPY  \STRMLINS\TAG DIR1.TAG >NUL
     GOTO NXT

:2ND
ECHO -
ECHO This STREAMLINES subdirectory will be d:\STRMLINS\%1 .
ECHO Enter Ctrl-C to escape or to create or re-enter another subdirectory.
     PAUSE

     CD    \STRMLINS
     MKDIR \STRMLINS\%1 >NUL
     CD    \STRMLINS\%1
     COPY  \STRMLINS\TAG DIR2.TAG >NUL
     GOTO NXT

:ERR
     TYPE \STRMLINS\RED.TXT
ECHO STRDIR.BAT was entered without a subdirectory name. Choose one and
ECHO   re-enter the command STRDIR (datadir) , e.g., STRDIR WATERSYS .
     TYPE \STRMLINS\WHT.TXT
     GOTO END

:NXT
ECHO -
ECHO This subdirectory contains the following STREAMLINES tag and data files:
     DIR/W

     IF %1==PRINT GOTO PRN
     IF %1==print GOTO PRN

:DIR
ECHO -
ECHO         To return to the subdirectory \STRMLINS, enter: STR
ECHO To create or to enter another data subdirectory, enter: STRDIR datadir
ECHO                To create or to edit a data file, enter: STRDAT datafile
ECHO   To run STREAMLINES with an existing data file, enter: STRRUN
ECHO                                                     or: STRRUN datafile
     GOTO END

:PRN
ECHO -
ECHO         To return to the subdirectory \STRMLINS, enter: STR
ECHO To create or to enter another data subdirectory, enter: STRDIR datadir

:END

